<template>
  <div class="card-prj-outputs-deck row row-deck h-100">
    <template v-for="(job, index) in jobs">
      <div
        v-if="isActive(job.id)"
        :key="job.index"
        class="rimow-card card-prj-outputs col-12 h-100"
      >
        <component
          :is="componentToShow"
          :job="job"
          :next-job="jobs[index + 1]"
          :previous-job="jobs[index - 1]"
        />
      </div>
    </template>
  </div>
</template>

<script>
export default {
  props: {
    jobs: {
      type: Array,
      default: () => [],
    },
    componentToShow: {
      type: String,
      default: 'OutputsCard',
    },
  },
  computed: {
    isActive() {
      return (id) => {
        return id === this.$nuxt.context.store.getters['ui/activeJob'].id;
      };
    },
  },
};
</script>
